/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebRowDirectiveDescription = /*@__PURE__*/ (() => {
    class WebRowDirectiveDescription extends Description {
        constructor() {
            super();
            this.r = null;
            this.p = 0;
            this.h = false;
            this.j = false;
            this.i = false;
            this.k = false;
        }
        get_type() {
            return "WebRowDirective";
        }
        get type() {
            return this.get_type();
        }
        get data() {
            return this.r;
        }
        set data(a) {
            this.r = a;
            this.g("Data");
        }
        get index() {
            return this.p;
        }
        set index(a) {
            this.p = a;
            this.g("Index");
        }
        get disabled() {
            return this.h;
        }
        set disabled(a) {
            this.h = a;
            this.g("Disabled");
        }
        get pinned() {
            return this.j;
        }
        set pinned(a) {
            this.j = a;
            this.g("Pinned");
        }
        get expanded() {
            return this.i;
        }
        set expanded(a) {
            this.i = a;
            this.g("Expanded");
        }
        get selected() {
            return this.k;
        }
        set selected(a) {
            this.k = a;
            this.g("Selected");
        }
    }
    WebRowDirectiveDescription.$t = markType(WebRowDirectiveDescription, 'WebRowDirectiveDescription', Description.$);
    return WebRowDirectiveDescription;
})();
